TikTok LIVE Moderation

Mutes

Manage mutes within the TikTok LIVE Moderation API. This section covers endpoints for working with mutes including retrieval, creation, and management operations.

Mute room user

PUThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/mutes

Mute a user in a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

user_id*string

The user ID to mute

durationenum

Mute duration in seconds

comment_msg_idnumber (double)

Optional comment message ID that triggered the mute

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Unmute room user

DELhttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/mutes

Unmute a user in a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

user_id*string

The user ID to unmute

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Retrieve room muted users

GEThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/mutes

Retrieve the list of muted users in a livestream room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

pagenumber (double)= 0

Page number for pagination

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

code*number (double)
messagestring
responseobject
Response200